#!/bin/csh -f

set specName    = ft/test%03d.ft2
set simName     = sim/test%03d.ft2
set simDir      = sim
set difName     = dif/test%03d.ft2
set difDir      = dif
set inTabName   = assigned.tab
set auxTabName  = axt.tab
set outTabName  = nlin.tab
set errTabName  = err.nlin.tab
set noiseRMS    = 14067.409180
set specCount   = 8

set aRegSizeX  = 4
set dRegSizeX  = 4
set maxDX      = 0.0
set minXW      = 0.0
set maxXW      = 6.80
set simSizeX   = 640

set aRegSizeY  = 6
set dRegSizeY  = 6
set maxDY      = 0.0
set minYW      = 0.0
set maxYW      = 9.74
set simSizeY   = 1024

set aRegSizeZ  = 8
set dRegSizeZ  = 8
set maxDZ      = 2.00
set minZW      = 0.0
set maxZW      = 16.00
set simSizeZ   = 8


seriesTab -in  $inTabName -list nlin.spec.list \
 -dx  $dRegSizeX -dy  $dRegSizeY -dz  $dRegSizeZ \
 -adx $aRegSizeX -ady $aRegSizeY -adz $aRegSizeZ \
 -xzf 64 -yzf 64 -zzf 64 -max \
 -out $auxTabName -adVar VOL -verb


cp $auxTabName $outTabName


if (!(-e $simDir)) then
   mkdir $simDir
endif

set ii = 1

while ($ii <= $specCount)
 set thisInName  = (`printf ft/test%03d.ft2 $ii`)
 set thisOutName = (`printf sim/test%03d.ft2 $ii`)

 nmrPipe -in $thisInName -out $thisOutName -fn SET -r 0.0 -ov

 @ ii++
end

simSpecND -in $outTabName -list sim.spec.list \
          -mod   GAUSS1D  GAUSS1D  SCALE1D  \
          -w     $simSizeX  $simSizeY  $simSizeZ  \
          -apod None -verb


if (!(-e $difDir)) then
   mkdir $difDir
endif


set ii = 1

while ($ii <= $specCount)
 set thisInName1 = (`printf ft/test%03d.ft2 $ii`)
 set thisInName2 = (`printf sim/test%03d.ft2 $ii`)
 set thisOutName = (`printf dif/test%03d.ft2 $ii`)

 addNMR -in1 $thisInName1 -in2 $thisInName2 -out $thisOutName -sub

 @ ii++
end

