#!/bin/csh

rm -rf fid
mkdir fid

#
# Adjust the length of the bits vector below so that there are
# 2*N zeros, where N is the number of time points you record in 
# vdlist.
#

set bits = (0 0 0 0 0 0 0 0 0 0 0 0 0 0)

foreach ord0 (`seq 1 2 ${#bits}`)
  @ ord1 = $ord0 + 1
  @ ord  = $ord1 / 2
  set outName = `printf fid/test%03d.fid $ord`
  set bits[$ord0] = -1
  set bits[$ord1] = 1

  nmrPipe -in test.fid \
  | nmrPipe -fn COADD -cList $bits -axis Y -time \
  | nmrPipe -fn MAC -macro $NMRTXT/bruk_ranceY.M -noRd -noWr \
  -verb -ov -out $outName

  set bits[$ord0] = 0
  set bits[$ord1] = 0
end
